wdb_keys(3)

NAME
wdb_keys

SYNOPSIS
#include <util/wdb.h> NEOERR * wdb_keys (WDB *wdb, char **primary_key, ULIST **data);

ARGUMENTS
wdb - open database

DESCRIPTION
this function returns the key and column names for the current database

RETURN VALUE
primary_key - pointer to the primary key
data - pointer to a ULIST of the columns.
both of these are allocated structures, you can clear data
with uListDestroy (data, ULIST_FREE)

SEE ALSO
wdb_destroy(3), wdbr_delete(3), wdb_update(3), wdbr_dump(3), wdb_save(3), wdbr_create(3), wdbr_destroy(3), wdb_attr_set(3), wdb_attr_next(3), wdb_open(3), wdb_column_exchange(3), wdbr_set(3), wdb_column_insert(3), wdbr_save(3), wdbr_next(3), wdb_keys(3), wdb_column_delete(3), wdbc_create(3), wdbr_get(3), wdb_attr_get(3), wdbr_find(3), wdbr_lookup(3), wdb_create(3), wdbc_destroy(3), wdb_column_update